import java.util.Stack;

class MyPool {
    private MyPool() { /* nothing here */ }
    static Stack store = new Stack();
    static Reusable getObject () { 
        Reusable reusable;
        if (store.empty())
            reusable = new Reusable();
        else
            reusable = (Reusable) store.pop();
        reusable.init();
        return reusable;
    }
    static void returnObject(Reusable reusable) { 
        reusable.cleanup();
        store.push(reusable);
    }
}
